
<!-- README.md is generated from README.Rmd. Please edit that file -->

# metabolomicsR

#### Tools to process, analyze, and visualize metabolomic data.

<br>

## Installation

| Type        | Command                                             |
|-------------|-----------------------------------------------------|
| Development | `remotes::install_github("XikunHan/metabolomicsR")` |

<br>

## Getting started

[The detailed
tutorial](https://xikunhan.github.io/metabolomicsR/docs/articles/Introduction.html).

<strong>metabolomicsR</strong> is a streamlined R package to preprocess,
analyze, and visualize metabolomic data. We included a set of functions
for sample and metabolite quality control, outlier detection, missing
value imputation, dimensional reduction, normalization, data
integration, regression analysis, annotation, enrichment analysis, and
visualization of data and results. The <strong>metabolomicsR</strong> is
designed to be a comprehensive R package that can be easily used by
researchers with basic R programming skills. The framework designed here
is also versatile and is extensible to various methods and metabolomic
platforms.

##### Seamless workflow to preprocess, analyze, and visualize metabolomics data in metabolomicsR <img src="man/figures/workflow.png" align="center" width="120%" height="180%"/>

### Contact:

[Xikun Han](mailto:hanxikun2017@gmail.com) maintains this package.

<br><br>
