% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/process.R
\name{bridge}
\alias{bridge}
\title{bridge different data sets based on conversion factors}
\usage{
bridge(
  object,
  conversion_factor_data = NULL,
  QC_ID_pattern = "MTRX",
  verbose = TRUE
)
}
\arguments{
\item{object}{A Metabolite object. In the `featureData`, `conversion_factor_ID` column should be created to match with conversion_factor_data.}

\item{conversion_factor_data}{A data set with columns `conversion_factor_ID` and `conversion_factor_value`.}

\item{QC_ID_pattern}{A character pattern to determine QC samples. Default value: "MTRX". Skip QC samples when rescale (median value is already 1).}

\item{verbose}{print log information.}
}
\value{
A Metabolite object after multiplying by conversion factor.
}
\description{
Bridge metabolite data based on a conversion factor file
}
