% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/visualization.R
\name{plot_injection_order}
\alias{plot_injection_order}
\title{injection order scatterplot}
\usage{
plot_injection_order(
  object,
  color = "NEG",
  shape = "NEG",
  size = 0.6,
  ID_order = "ID_injection_order",
  feature_name = NULL,
  random_select = 16
)
}
\arguments{
\item{object}{A Metabolite object.}

\item{color}{A column in `@sampleData` to show the color of points.}

\item{shape}{A column in `@sampleData` to show the shape of points.}

\item{size}{Point size.}

\item{ID_order}{Injection ID order in the `@sampleData`.}

\item{feature_name}{A vector of selected metabolites to plot. If NULL, will randomly select 16 (default) metabolites to plot.}

\item{random_select}{An integer, number of randomly selected metabolites to plot.}
}
\value{
A scatterplot.
}
\description{
Injection order scatterplot. The `@sampleData` should be sorted by injection order, with a new column `ID` from 1 to N.
}
